[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TryTerminals

A list of terminal programs to use (unix only)

## Declaration

Source position: process.pp line 167

`var TryTerminals: array of String;`

## Description

TryTerminals is used under unix to test for available terminal programs in the DetectXTerm function. If XTermProgram is empty, each item in this list will be searched in the path, and used as a terminal program if it was found.

## See also

XTermProgram |  | Default XTerm program to use
DetectXTerm |  | Detect the terminal program.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.